zoom to layer extent does not work with postgis 2.0.0svn tables

2011-09-16 02:00 AM - Daniel Araujo Miranda

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14228

Description

History

#1 - 2011-09-16 02:06 AM - Daniel Araujo Miranda

how to reproduce:

  add a layer from postgis into qgis

  right click on the layer name and select "zoom to layer extent" 

  nothing happens

Bug is not always reproducible. Seems to work on generic geometry layers, but not with geometry(Polygon,4326), for example. (postgis 2 notation).

Ubuntu 11.04

qgis 1.7 wroclaw (1.7.0~natty1, MD5sum: ae3fc6b49d8e82acd8a97d515bad00bc)

postgis 2.0.0 svn 7856, Last Changed Date: 2011-09-15 14:43:57

postgresql 9.1

#2 - 2011-09-19 10:04 AM - Steven Mizuno

This appears to be a PostGIS 2.0 problem - does st_estimated_extent(schema,table,geom_column) return a reasonable value for the tables in question?

#3 - 2011-09-20 12:36 PM - Daniel Araujo Miranda

Steven, as you said, st_estimated extent was returning nonsense.

I reported it as postgis bug #1200, which I just checked and seems to be fixed in r7868 (see http://trac.osgeo.org/postgis/ticket/1200).

Thanks for taking a look at this.

I did not close it saturday because if the postgis guys would not get around it quickly, I believe qgis would have to implement a workaround.

How do I close this bug?

#4 - 2011-09-20 12:46 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

closed now. Fixed upstream.
